cURL
curl --request PATCH \
--url https://api.mottostreaming.com/cms/types/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"description": "<string>",
"field_groups": [
{
"title": "<string>",
"fields": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"validations": {
"count": {
"min": "<string>",
"max": "<string>"
},
"length": {
"min": "<string>",
"max": "<string>"
},
"range": {
"start": "<unknown>",
"exclude_start": true,
"end": "<unknown>",
"exclude_end": true
},
"in": {
"values": [
"<unknown>"
]
},
"link_type": {
"type_ids": [
"<string>"
],
"additional_fields": [
"<string>"
],
"editor_filter": {}
},
"asset": {
"types": [
"<string>"
]
}
},
"default_value": "<unknown>"
}
]
}
],
"disabled": true,
"settings": {
"allow_following": true,
"allow_push_notifications": true
}
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/cms/types/v1"
payload = {
"type": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"description": "<string>",
"field_groups": [
{
"title": "<string>",
"fields": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"validations": {
"count": {
"min": "<string>",
"max": "<string>"
},
"length": {
"min": "<string>",
"max": "<string>"
},
"range": {
"start": "<unknown>",
"exclude_start": True,
"end": "<unknown>",
"exclude_end": True
},
"in": { "values": ["<unknown>"] },
"link_type": {
"type_ids": ["<string>"],
"additional_fields": ["<string>"],
"editor_filter": {}
},
"asset": { "types": ["<string>"] }
},
"default_value": "<unknown>"
}
]
}
],
"disabled": True,
"settings": {
"allow_following": True,
"allow_push_notifications": True
}
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: {
project_id: '<string>',
name: '<string>',
id: '<string>',
description: '<string>',
field_groups: [
{
title: '<string>',
fields: [
{
id: '<string>',
name: '<string>',
description: '<string>',
validations: {
count: {min: '<string>', max: '<string>'},
length: {min: '<string>', max: '<string>'},
range: {start: '<unknown>', exclude_start: true, end: '<unknown>', exclude_end: true},
in: {values: ['<unknown>']},
link_type: {type_ids: ['<string>'], additional_fields: ['<string>'], editor_filter: {}},
asset: {types: ['<string>']}
},
default_value: '<unknown>'
}
]
}
],
disabled: true,
settings: {allow_following: true, allow_push_notifications: true}
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/cms/types/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"description": "<string>",
"field_groups": [
{
"title": "<string>",
"fields": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"validations": {
"count": {
"min": "<string>",
"max": "<string>"
},
"length": {
"min": "<string>",
"max": "<string>"
},
"range": {
"start": "<unknown>",
"exclude_start": true,
"end": "<unknown>",
"exclude_end": true
},
"in": {
"values": [
"<unknown>"
]
},
"link_type": {
"type_ids": [
"<string>"
],
"additional_fields": [
"<string>"
],
"editor_filter": {}
},
"asset": {
"types": [
"<string>"
]
}
},
"default_value": "<unknown>"
}
]
}
],
"disabled": true,
"settings": {
"allow_following": true,
"allow_push_notifications": true
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Content Types
Update type
PATCH
/
cms
/
types
/
v1
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I

